Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IGroupwareItem

All Superinterfaces
  IItem, IMessagingItem, Serializable

All Known Subinterfaces:
  IAppointment, ICalendarItem, ICmAppointment, ICmMailMessage, ICmTask, IContact, IMailMessage, INonDeliveryReport, IReadReport, ITask

    public interface IGroupwareItem

extends IMessagingItem

Classes that implement this interface are items in the groupware schema.

Field Summary
`static Key` | `CATEGORIES` Represents the user defined categories of a groupware item.
`static Key` | `DATE_CREATED` Represents the date the item was created by the user.
`static Key` | `DATE_LAST_MODIFIED` Represents the date the item was created by the user.
`static Key` | `IMPORTANCE` Represents the importance of the item.
`static int` | `KEYID_CATEGORIES` The `int` ID for the `CATEGORIES` key.
`static int` | `KEYID_DATE_CREATED` The `int` ID for the `DATE_CREATED` key.
`static int` | `KEYID_DATE_LAST_MODIFIED` The `int` ID for the `DATE_LAST_MODIFIED` key.
`static int` | `KEYID_IMPORTANCE` The `int` ID for the `IMPORTANCE` key.
`static int` | `KEYID_SIZE` The `int` ID for the `SIZE` key.
`static int` | `KEYID_SUBJECT` The `int` ID for the `SUBJECT` key.
`static Key` | `SIZE` Represents the size of the item in bytes.
`static Key` | `SUBJECT` Represents the subject of the item.

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`CLASS, ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`String` | `getBodyHtml()` Gets the HTML body.
`String` | `getBodyHtml(boolean bBodyOnly, IEmbeddedImageListener listener)` Gets the HTML body.
`String[]` | `getCategories()` Gets the categories.
`Date` | `getDateCreated()` Gets the date the item was created.
`Date` | `getDateLastModified()` Gets the date the item was last modified.
`Importance` | `getImportance()` Gets the importance.
`String` | `getNormalizedSubject()` Gets the normalized subject (for example, the part of the subject after `RE:` or `FW:`).
`int` | `getSize()` Gets the size of the item, in bytes.
`String` | `getSubject()` Gets the subject.
`String` | `getSubject(int iMaxLength, String sPostFix)` Gets a truncated version of the subject.
`String` | `getSubjectPrefix()` Gets the subject prefix (for example, `RE:` or `FW:`).
`void` | `setBodyHtml(String sHtmlBody)` Sets the HTML body.
`void` | `setCategories(String[] categories)` Sets the categories.
`void` | `setImportance(Importance importance)` Sets the importance.
`void` | `setSubject(String sSubject)` Sets the subject.

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_CATEGORIES

    static final int KEYID_CATEGORIES

  The `int` ID for the `CATEGORIES` key.

  See Also
    Constants Summary

### KEYID_DATE_CREATED

    static final int KEYID_DATE_CREATED

  The `int` ID for the `DATE_CREATED` key.

  See Also
    Constants Summary

### KEYID_IMPORTANCE

    static final int KEYID_IMPORTANCE

  The `int` ID for the `IMPORTANCE` key.

  See Also
    Constants Summary

### KEYID_DATE_LAST_MODIFIED

    static final int KEYID_DATE_LAST_MODIFIED

  The `int` ID for the `DATE_LAST_MODIFIED` key.

  See Also
    Constants Summary

### KEYID_SIZE

    static final int KEYID_SIZE

  The `int` ID for the `SIZE` key.

  See Also
    Constants Summary

### KEYID_SUBJECT

    static final int KEYID_SUBJECT

  The `int` ID for the `SUBJECT` key.

  See Also
    Constants Summary

### CATEGORIES

    static final Key CATEGORIES

  Represents the user defined categories of a groupware item.

### DATE_CREATED

    static final Key DATE_CREATED

  Represents the date the item was created by the user.

### IMPORTANCE

    static final Key IMPORTANCE

  Represents the importance of the item.

### DATE_LAST_MODIFIED

    static final Key DATE_LAST_MODIFIED

  Represents the date the item was created by the user. This key is read-only.

### SIZE

    static final Key SIZE

  Represents the size of the item in bytes. This key is read-only.

### SUBJECT

    static final Key SUBJECT

  Represents the subject of the item.

Method Detail

### getBodyHtml

    String getBodyHtml()
                       throws CollaborationException

  Gets the HTML body.

  Specified by:
    `getBodyHtml` in interface `IMessagingItem`
  Returns
    the unescaped HTML body (not `null`)
  Throws
    `CollaborationException`
  See Also
    `IMessagingItem.BODY_HTML`

### getBodyHtml

    String getBodyHtml(boolean bBodyOnly,
                       IEmbeddedImageListener listener)
                       throws CollaborationException

  Gets the HTML body.

  Parameters
    `bBodyOnly` - if `true`, only return the part of the HTML page between the open and close body tags (useful for embedding in an already existing page)
    `listener` - the embedded image listener (if `null` then do not process embedded images)
  Returns
    the unescaped HTML body (not `null`)
  Throws
    `CollaborationException` - if there was a problem retrieving the HTML body of this message.
  See Also
    `IMessagingItem.BODY_HTML`

### setBodyHtml

    void setBodyHtml(String sHtmlBody)
                     throws CollaborationException

  Sets the HTML body.

  Specified by:
    `setBodyHtml` in interface `IMessagingItem`
  Parameters
    `sHtmlBody` - the unescaped HTML body (not `null`)
  Throws
    `CollaborationException`
  See Also
    `IMessagingItem.BODY_HTML`

### getCategories

    String[] getCategories()
                           throws CollaborationException

  Gets the categories.

  Returns
    the categories, or an empty array if there are no categories
  Throws
    `CollaborationException` - if there was a problem retrieving the Categories field for this item.
  See Also
    `CATEGORIES`

### setCategories

    void setCategories(String[] categories)
                       throws CollaborationException

  Sets the categories.

  Parameters
    `categories` - the categories (not `null`)
  Throws
    `CollaborationException` - if there was a problem setting the Categories for this item.
  See Also
    `CATEGORIES`

### getDateCreated

    Date getDateCreated()
                        throws CollaborationException

  Gets the date the item was created.

  Returns
    the date the item was created
  Throws
    `CollaborationException` - if there was a problem getting the creation date for this item.
  See Also
    `DATE_CREATED`

### getImportance

    Importance getImportance()
                             throws CollaborationException

  Gets the importance.

  Returns
    the importance (not `null`)
  Throws
    `CollaborationException` - if there was a problem retrieving the importance for this item.
  See Also
    `IMPORTANCE`

### setImportance

    void setImportance(Importance importance)
                       throws CollaborationException

  Sets the importance.

  Parameters
    `importance` - the importance (not `null`)
  Throws
    `CollaborationException` - if there was a problem setting the importance for this item.
  See Also
    `IMPORTANCE`

### getDateLastModified

    Date getDateLastModified()
                             throws CollaborationException

  Gets the date the item was last modified.

  Returns
    the date the item was last modified
  Throws
    `CollaborationException` - if there was a problem getting the date this item was last modified.
  See Also
    `DATE_LAST_MODIFIED`

### getSize

    int getSize()
                throws CollaborationException

  Gets the size of the item, in bytes.

  Returns
    the size of the item in bytes
  Throws
    `CollaborationException` - if there was a problem getting the size of this item.
  See Also
    `SIZE`

### getSubject

    String getSubject()
                      throws CollaborationException

  Gets the subject.

  Returns
    the subject (not `null`)
  Throws
    `CollaborationException` - if there was a problem getting the subject of this item.
  See Also
    `SUBJECT`

### setSubject

    void setSubject(String sSubject)
                    throws CollaborationException

  Sets the subject.

  Parameters
    `sSubject` - the subject (not `null`)
  Throws
    `CollaborationException` - if there was a problem setting the subject for this item.
  See Also
    `SUBJECT`

### getSubjectPrefix

    String getSubjectPrefix()
                            throws CollaborationException

  Gets the subject prefix (for example, `RE:` or `FW:`).

  Returns
    the subject prefix, or `null` if the subject prefix could not be matched
  Throws
    `CollaborationException` - if there was a problem getting the subject prefix for this item.
  See Also
    `SUBJECT`

### getNormalizedSubject

    String getNormalizedSubject()
                                throws CollaborationException

  Gets the normalized subject (for example, the part of the subject after `RE:` or `FW:`).

  Returns
    the subject prefix, or the subject if a normalized subject pattern is not detected
  Throws
    `CollaborationException` - if there was a problem getting the normalized subject for this item.
  See Also
    `SUBJECT`

### getSubject

    String getSubject(int iMaxLength,
                      String sPostFix)
                      throws CollaborationException

  Gets a truncated version of the subject.

  Parameters
    `iMaxLength` - the maximum length of the subject with postfix
    `sPostFix` - the truncation string (for example `"..."`
  Returns
    the truncated subject, postfixed if needed
  Throws
    `CollaborationException` - if there was a problem getting the truncated subject for this item
  See Also
    `SUBJECT`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved